#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Test
%define		pnam	Differences
%include	/usr/lib/rpm/macros.perl
Summary:	Test::Differences - test strings and data structures and show differences if not ok
Summary(pl.UTF-8):	Test::Differences - kontrola łańcuchów i struktur danych z pokazywaniem różnic
Name:		perl-Test-Differences
Version:	0.64
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ecfda620fe133e36a6e392d94ab8424d
URL:		http://search.cpan.org/dist/Test-Differences/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Data::Dumper) >= 2.126
BuildRequires:	perl-Capture-Tiny >= 0.24
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Text-Diff >= 1.43
%endif
Requires:	perl-Text-Diff >= 1.43
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When the code you're testing returns multiple lines or records and
they're just plain wrong, sometimes an equivalent to the Unix diff
utility is just what's needed.

%description -l pl.UTF-8
Jeśli testowany kod zwraca wiele linii lub rekordów, które są
niepoprawne, czasem przydatny jest odpowiednik uniksowego narzędzia
diff.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Differences.pm
%{_mandir}/man3/Test::Differences.3pm*
%changelog
* Sun Jul 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Differences.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> e1acf6e
- updated to 0.64

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 210162a
- use generic url

* Mon Jul 09 2012 Jakub Bogusz <qboosh@pld-linux.org> c25e3b6
- updated to 0.61, epoch 1

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 52ecba1
- updated to 0.4801

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e6e4118
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ba99abd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b617797
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b7d23f1
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0ac103e
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 0ce0d86
- license fixes, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> de135dd
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 3f010ce
- cosmetics

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 21502ec
- updated to 0.47

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> c65f162
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 3fbe433
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3ee40c9
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b1eb1db
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 543db63
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 67e8ce7
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> 9e6ca6c
- use the __perl macro

